- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_SHMIOP_Connector Class Reference

SHMIOP-specific Connector bridge for pluggable protocols. More...

`#include <SHMIOP_Connector.h>`

Inheritance diagram for TAO_SHMIOP_Connector:

[legend]
Collaboration diagram for TAO_SHMIOP_Connector:

[legend]
List of all members.

## Public Types
typedef TAO_Connect_Concurrency_Strategy< TAO_SHMIOP_Connection_Handler > | TAO_SHMIOP_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_SHMIOP_Connection_Handler > | TAO_SHMIOP_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR > | TAO_SHMIOP_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR > | TAO_SHMIOP_BASE_CONNECTOR
## Public Member Functions
| TAO_SHMIOP_Connector (CORBA::Boolean flag=0)
| Constructor.
| ~TAO_SHMIOP_Connector (void)
| Default destructor.
The TAO_Connector Methods
Please check the documentation in Transport_Connector.h for details.
int | open (TAO_ORB_Core *orb_core)
int | close (void)
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Member Functions
More TAO_Connector Methods
Please check the documentation in Transport_Connector.h for details.
int | set_validate_endpoint (TAO_Endpoint *endpoint)
TAO_Transport * | make_connection (TAO::Profile_Transport_Resolver *r, TAO_Transport_Descriptor_Interface &desc, ACE_Time_Value *timeout=0)
virtual TAO_Profile * | make_profile ()
int | cancel_svc_handler (TAO_Connection_Handler *svc_handler)
| Cancel the passed cvs handler from the connector.
## Private Member Functions
TAO_SHMIOP_Endpoint * | remote_endpoint (TAO_Endpoint *ep)
| Return the remote endpoint, a helper function.
## Private Attributes
ACE_MEM_Addr | address_
| Local address.
TAO_SHMIOP_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy.
TAO_SHMIOP_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for SHMIOP.
CORBA::Boolean | lite_flag_
| Are we using GIOP lite?

## Detailed Description

SHMIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR> TAO_SHMIOP_Connector::TAO_SHMIOP_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Connector::TAO_SHMIOP_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Connector::TAO_SHMIOP_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR> TAO_SHMIOP_Connector::TAO_SHMIOP_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_SHMIOP_Connector::TAO_SHMIOP_Connector | ( | CORBA::Boolean | flag = `0` | ) |

Constructor.

TAO_SHMIOP_Connector::~TAO_SHMIOP_Connector | ( | void |  | ) |

Default destructor.

## Member Function Documentation

int TAO_SHMIOP_Connector::cancel_svc_handler | ( | TAO_Connection_Handler * | svc_handler | ) | `[protected, virtual]`

Cancel the passed cvs handler from the connector.

Implements TAO_Connector.

int TAO_SHMIOP_Connector::check_prefix | ( | const char * | endpoint | ) | `[virtual]`

Our activation strategy

Implements TAO_Connector.

int TAO_SHMIOP_Connector::close | ( | void |  | ) | `[virtual]`

Our activation strategy

Implements TAO_Connector.

TAO_Profile * TAO_SHMIOP_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

Our activation strategy

Implements TAO_Connector.

TAO_Transport * TAO_SHMIOP_Connector::make_connection | ( | TAO::Profile_Transport_Resolver * | r,
|  | TAO_Transport_Descriptor_Interface & | desc,
|  | ACE_Time_Value * | timeout = `0` |
| ) |  |  | `[protected, virtual]`

Implements TAO_Connector.

TAO_Profile * TAO_SHMIOP_Connector::make_profile | ( |  | ) | `[protected, virtual]`

Implements TAO_Connector.

char TAO_SHMIOP_Connector::object_key_delimiter | ( | void |  | ) | const`[virtual]`

Our activation strategy

Implements TAO_Connector.

int TAO_SHMIOP_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

Our activation strategy

Implements TAO_Connector.

TAO_SHMIOP_Endpoint * TAO_SHMIOP_Connector::remote_endpoint | ( | TAO_Endpoint * | ep | ) | `[private]`

Return the remote endpoint, a helper function.

int TAO_SHMIOP_Connector::set_validate_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[protected, virtual]`

Implements TAO_Connector.

## Member Data Documentation

ACE_MEM_Addr TAO_SHMIOP_Connector::address_`[private]`

Local address.

TAO_SHMIOP_BASE_CONNECTOR TAO_SHMIOP_Connector::base_connector_`[private]`

The connector initiating connection requests for SHMIOP.

TAO_SHMIOP_CONNECT_STRATEGY TAO_SHMIOP_Connector::connect_strategy_`[private]`

Our connect strategy.

CORBA::Boolean TAO_SHMIOP_Connector::lite_flag_`[private]`

Are we using GIOP lite?

The documentation for this class was generated from the following files:

- SHMIOP_Connector.h
- SHMIOP_Connector.cpp